#include "jpeg_decoder.h"
void fatfs_init();// 初始化FATFS文件系统
void fs_test();// 测试FATFS文件系统
void read_img(uint8_t *img);// 读取图片数据
void fatfs_list_all_filenames(const char *dir_path, bool recursive);// 列出目录下所有文件名
void fatfs_remove_nullData(const char *dir_path);// 删除目录下所有空文件
esp_err_t DecodeImg(char *imgpath,uint8_t** imgData,esp_jpeg_image_output_t *outimage);// 解码图片
void test_readimg(char* imgpath,uint16_t size);// 测试读取图片数据
void fatfs_remove_allData(const char *dir_path);// 删除目录下所有文件
bool fats_img_isOK(char* img_path);// 检查图片是否有效
void fat_getAllimgList(const char *dir_path, char** list, uint8_t* num);// 获取目录下所有图片文件名